# Consumer Client IP

This module integrates with the `consumers` contrib-module to provide a way to
map the value of a given HTTP-Header to the `X-Forwarded-For` HTTP-Header value
for the incoming request.

This is useful to make the integrated flood handling work when e.g. the request
comes from a serverless function which passes the client's ip addres in e.g.
the `X-Client-IP` header.

## Configuration

The header rewrite is done on a per consumer basis.

The functionality can be enabled on the settings form for each consumer entity.
The name of the http header to retrieve the client ip from must also be set
in the consumer configuration.
